Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001178 [1003.1(2016)/Issue7+TC2] System Interfaces Editorial Clarification Requested 2017-12-17 21:05 2019-02-21 16:07
Reporter khoroshilov View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Alexey Khoroshilov
Organization
User Reference
Section atan2
Page Number 611
Line Number 21231
Interp Status ---
Final Accepted Text Note: 0004255
Summary 0001178: atan2: Description of IEC 60559 Floating-Point option is unclear
Description What is meaning of the following statement:
If the IEC 60559 Floating-Point option is supported, y/ x should be returned.


By the way, in the previous paragraph:
If the correct value would cause underflow, a range error may occur, and atan(), atan2f(), and atan2l() shall return an implementation-defined value no greater in magnitude than DBL_MIN, FLT_MIN, and LDBL_MIN, respectively.

it seems atan() should be atan2().
Desired Action Clarify text.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004252)
geoffclare (manager)
2019-02-14 17:16

On page 611 line 21228 change atan() to atan2()

On page 611 line 21231 section atan2(), change:

If the IEC 60559 Floating-Point option is supported, y/x should be returned.

to:

If the IEC 60559 Floating-Point option is supported and the correct value would cause underflow, y/x should be returned.
(0004255)
geoffclare (manager)
2019-02-15 10:19
edited on: 2019-02-15 10:22

Looking at this further, I have realised that the preceding paragraph about underflow should not have MX shading. It derives from C99 7.12.1, not from Annex F, and so is not conditional on IEC 60559 Floating-Point.

It also occurred to me that this problem might exist elsewhere that MXX shading is used, and I found one such place:

page 776 line 26321 section erf()

(and this one correctly does not have MX shading on the preceding paragraph).

In both places the MXX shaded text should just be joined to the preceding unshaded paragraph.

New proposed resolution:

On page 611 line 21228 section atan2(), change:
[MX]If the correct value would cause underflow, a range error may occur, and atan(), atan2f(), and atan2l() shall return an implementation-defined value no greater in magnitude than DBL_MIN, FLT_MIN, and LDBL_MIN, respectively.[/MX]

[MXX]If the IEC 60559 Floating-Point option is supported, y/x should be returned.[/MXX]
to:
If the correct value would cause underflow, a range error may occur, and atan2(), atan2f(), and atan2l() shall return an implementation-defined value no greater in magnitude than DBL_MIN, FLT_MIN, and LDBL_MIN, respectively. [MXX]If the IEC 60559 Floating-Point option is supported, y/x should be returned.[/MXX]

On page 776 line 26318 section erf(), join the following two paragraphs:
If the correct value would cause underflow, a range error may occur, and erf(), erff(), and erfl() shall return an implementation-defined value no greater in magnitude than DBL_MIN, FLT_MIN, and LDBL_MIN, respectively.

[MXX]If the IEC 60559 Floating-Point option is supported, 2 * x/sqrt(π) should be returned.[/MXX]
to form a single paragraph.


- Issue History
Date Modified Username Field Change
2017-12-17 21:05 khoroshilov New Issue
2017-12-17 21:05 khoroshilov Name => Alexey Khoroshilov
2017-12-17 21:05 khoroshilov Section => atan2
2017-12-17 21:05 khoroshilov Page Number => 0
2017-12-17 21:05 khoroshilov Line Number => 0
2019-02-14 17:16 geoffclare Note Added: 0004252
2019-02-14 17:17 geoffclare Interp Status => ---
2019-02-14 17:17 geoffclare Final Accepted Text => Note: 0004252
2019-02-14 17:17 geoffclare Status New => Resolved
2019-02-14 17:17 geoffclare Resolution Open => Accepted As Marked
2019-02-14 17:17 geoffclare Tag Attached: tc3-2008
2019-02-15 10:19 geoffclare Page Number 0 => 611
2019-02-15 10:19 geoffclare Line Number 0 => 21231
2019-02-15 10:19 geoffclare Note Added: 0004255
2019-02-15 10:19 geoffclare Status Resolved => Under Review
2019-02-15 10:19 geoffclare Resolution Accepted As Marked => Reopened
2019-02-15 10:22 geoffclare Note Edited: 0004255
2019-02-18 16:10 Don Cragun Final Accepted Text Note: 0004252 => Note: 0004255
2019-02-18 16:10 Don Cragun Status Under Review => Resolution Proposed
2019-02-18 16:10 Don Cragun Resolution Reopened => Accepted As Marked
2019-02-21 16:07 Don Cragun Status Resolution Proposed => Resolved


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker